> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit application

> - To edit the application you must have the admin permission.
- For port edition, if you provide a port id, we will update the corresponding port. If you don't we will create a new one. If you remove a port from the payload, we will delete it.
- For storage edition, if you provide a storage id, we will update the corresponding storage. If you don't we will create a new one. If you remove a storage from the payload, we will delete it.




## OpenAPI

````yaml /api-reference/openapi.yaml put /application/{applicationId}
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /application/{applicationId}:
    put:
      tags:
        - Application Main Calls
      summary: Edit application
      description: >
        - To edit the application you must have the admin permission.

        - For port edition, if you provide a port id, we will update the
        corresponding port. If you don't we will create a new one. If you remove
        a port from the payload, we will delete it.

        - For storage edition, if you provide a storage id, we will update the
        corresponding storage. If you don't we will create a new one. If you
        remove a storage from the payload, we will delete it.
      operationId: editApplication
      parameters:
        - $ref: '#/components/parameters/applicationId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationEditRequest'
      responses:
        '200':
          description: Edit application
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Application'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '409':
          description: Application name within the environment is already taken
components:
  parameters:
    applicationId:
      name: applicationId
      in: path
      description: Application ID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ApplicationEditRequest:
      allOf:
        - $ref: '#/components/schemas/ServiceStorageRequest'
        - type: object
          required:
            - healthchecks
          properties:
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
              description: give a description to this application
            git_repository:
              $ref: '#/components/schemas/ApplicationGitRepositoryRequest'
            build_mode:
              $ref: '#/components/schemas/BuildModeEnum'
            dockerfile_path:
              type: string
              description: The path of the associated Dockerfile
              nullable: true
            cpu:
              type: integer
              description: unit is millicores (m). 1000m = 1 cpu
              default: 500
              example: 1250
            memory:
              type: integer
              description: unit is MB. 1024 MB = 1GB
              default: 512
              example: 1024
            gpu:
              type: integer
              x-stoplight:
                id: tkd7it621esyj
              minimum: 0
              default: 0
              example: 1
            min_running_instances:
              type: integer
              minimum: 0
              description: >
                Minimum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: 0 means that there is no application running.
              default: 1
            max_running_instances:
              type: integer
              description: >
                Maximum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: -1 means that there is no limit.
              default: 1
            healthchecks:
              $ref: '#/components/schemas/Healthcheck'
            auto_preview:
              type: boolean
              description: >
                Specify if the environment preview option is activated or not
                for this application.  

                If activated, a preview environment will be automatically cloned
                at each pull request.  

                If not specified, it takes the value of the `auto_preview`
                property from the associated environment.
              default: true
            ports:
              $ref: '#/components/schemas/ServicePortResponseList'
            arguments:
              type: array
              items:
                type: string
            entrypoint:
              type: string
              description: optional entrypoint when launching container
            auto_deploy:
              type: boolean
              description: >-
                Specify if the application will be automatically updated after
                receiving a new commit.
              nullable: true
            annotations_groups:
              $ref: '#/components/schemas/ServiceAnnotationsRequestList'
            labels_groups:
              $ref: '#/components/schemas/ServiceLabelsRequestList'
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the application.
            docker_target_build_stage:
              type: string
              description: The target build stage in the Dockerfile to build
              nullable: true
            autoscaling:
              $ref: '#/components/schemas/AutoscalingPolicyRequest'
    Application:
      allOf:
        - $ref: '#/components/schemas/Base'
        - $ref: '#/components/schemas/ServiceStorage'
        - type: object
          required:
            - environment
            - name
            - healthchecks
            - icon_uri
            - service_type
          properties:
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            git_repository:
              $ref: '#/components/schemas/ApplicationGitRepository'
            maximum_cpu:
              type: integer
              description: >-
                Maximum cpu that can be allocated to the application based on
                organization cluster configuration. unit is millicores (m).
                1000m = 1 cpu
              example: 16000
            maximum_memory:
              type: integer
              description: >-
                Maximum memory that can be allocated to the application based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              example: 16384
            maximun_gpu:
              type: integer
              x-stoplight:
                id: ho7l9maiyqe52
              default: 0
              minimum: 0
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
              description: give a description to this application
            build_mode:
              $ref: '#/components/schemas/BuildModeEnum'
            dockerfile_path:
              type: string
              description: >-
                The path of the associated Dockerfile. Only if you are using
                build_mode = DOCKER
              nullable: true
            cpu:
              type: integer
              description: unit is millicores (m). 1000m = 1 cpu
              example: 1250
            memory:
              type: integer
              description: unit is MB. 1024 MB = 1GB
              example: 1024
            gpu:
              type: integer
              x-stoplight:
                id: 3n3pebmhkah3k
              default: 0
              minimum: 0
            min_running_instances:
              type: integer
              minimum: 0
              description: >
                Minimum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: 0 means that there is no application running.
              default: 1
            max_running_instances:
              type: integer
              description: >
                Maximum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: -1 means that there is no limit.
              default: 1
            healthchecks:
              $ref: '#/components/schemas/Healthcheck'
            auto_preview:
              type: boolean
              description: >
                Specify if the environment preview option is activated or not
                for this application.  

                If activated, a preview environment will be automatically cloned
                at each pull request.  

                If not specified, it takes the value of the `auto_preview`
                property from the associated environment.
              default: true
            ports:
              $ref: '#/components/schemas/ServicePortResponseList'
            arguments:
              type: array
              items:
                type: string
            entrypoint:
              type: string
              description: optional entrypoint when launching container
            auto_deploy:
              type: boolean
              description: >-
                Specify if the application will be automatically updated after
                receiving a new commit.
            annotations_groups:
              $ref: '#/components/schemas/OrganizationAnnotationsGroupResponseList'
            labels_groups:
              $ref: '#/components/schemas/OrganizationLabelsGroupResponseList'
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the application.
              x-stoplight:
                id: b8karc43pdxpu
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
            docker_target_build_stage:
              type: string
              x-stoplight:
                id: tdxdfoyowutcx
              description: The target build stage in the Dockerfile to build
              nullable: true
            autoscaling:
              $ref: '#/components/schemas/AutoscalingPolicyResponse'
    ServiceStorageRequest:
      type: object
      properties:
        storage:
          type: array
          items:
            type: object
            required:
              - type
              - size
              - mount_point
            properties:
              id:
                type: string
                format: uuid
              type:
                $ref: '#/components/schemas/StorageTypeEnum'
              size:
                type: integer
                description: |
                  unit is GB
                  Minimum size is 4 GB
                example: 16
              mount_point:
                type: string
                example: /mnt/images
    ApplicationGitRepositoryRequest:
      type: object
      required:
        - url
        - owner
        - name
        - provider
      properties:
        url:
          type: string
          description: application git repository URL
          example: https://github.com/Qovery/simple-node-app
        branch:
          type: string
          description: |
            Name of the branch to use. This is optional
            If not specified, then the branch used is the `main` or `master` one
          example: feat/text_xxx
        root_path:
          type: string
          default: /
          description: indicates the root path of the application.
        git_token_id:
          type: string
          format: uuid
          description: The git token id on Qovery side
          nullable: true
        provider:
          $ref: '#/components/schemas/GitProviderEnum'
    BuildModeEnum:
      type: string
      enum:
        - DOCKER
      description: |
        `DOCKER` requires `dockerfile_path`
      default: DOCKER
    Healthcheck:
      type: object
      nullable: false
      properties:
        readiness_probe:
          $ref: '#/components/schemas/Probe'
        liveness_probe:
          $ref: '#/components/schemas/Probe'
    ServicePortResponseList:
      type: array
      items:
        $ref: '#/components/schemas/ServicePort'
    ServiceAnnotationsRequestList:
      type: array
      items:
        $ref: '#/components/schemas/ServiceAnnotationRequest'
    ServiceLabelsRequestList:
      type: array
      items:
        $ref: '#/components/schemas/ServiceLabelRequest'
    AutoscalingPolicyRequest:
      title: AutoscalingPolicyRequest
      x-stoplight:
        id: ylgyx3ozik2hf
      oneOf:
        - $ref: '#/components/schemas/KedaAutoscalingRequest'
      discriminator:
        propertyName: mode
        mapping:
          KEDA:
            $ref: '#/components/schemas/KedaAutoscalingRequest'
    Base:
      type: object
      required:
        - id
        - created_at
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          readOnly: true
          format: date-time
        updated_at:
          type: string
          readOnly: true
          format: date-time
    ServiceStorage:
      type: object
      properties:
        storage:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - size
              - mount_point
            properties:
              id:
                type: string
                format: uuid
              type:
                $ref: '#/components/schemas/StorageTypeEnum'
              size:
                type: integer
                description: unit is GB
                example: 16
              mount_point:
                type: string
                example: /mnt/images
    ReferenceObject:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
    ApplicationGitRepository:
      type: object
      required:
        - provider
        - owner
        - name
        - url
      properties:
        has_access:
          type: boolean
        provider:
          $ref: '#/components/schemas/GitProviderEnum'
        owner:
          type: string
          example: John Doe
        url:
          type: string
          format: uri
        name:
          type: string
          description: repository name
          example: simple-node-app
        branch:
          type: string
        root_path:
          type: string
        deployed_commit_id:
          type: string
          description: Git commit ID corresponding to the deployed version of the app
        deployed_commit_date:
          type: string
          readOnly: true
          format: date-time
          description: Git commit date corresponding to the deployed version of the app
        deployed_commit_contributor:
          type: string
          description: Git commit user corresponding to the deployed version of the app
        deployed_commit_tag:
          type: string
          example: v1.0.1
        git_token_id:
          type: string
          nullable: true
        git_token_name:
          type: string
          nullable: true
      title: ''
    OrganizationAnnotationsGroupResponseList:
      type: array
      items:
        $ref: '#/components/schemas/OrganizationAnnotationsGroupResponse'
    OrganizationLabelsGroupResponseList:
      type: array
      items:
        $ref: '#/components/schemas/OrganizationLabelsGroupResponse'
      title: ''
    ServiceTypeEnum:
      type: string
      x-stoplight:
        id: d66063cd29913
      description: type of the service (application, database, job, ...)
      enum:
        - APPLICATION
        - DATABASE
        - CONTAINER
        - JOB
        - HELM
        - TERRAFORM
        - ARGOCD_APP
    AutoscalingPolicyResponse:
      title: AutoscalingPolicyResponse
      x-stoplight:
        id: mjawsx6obi237
      oneOf:
        - $ref: '#/components/schemas/KedaAutoscalingResponse'
      discriminator:
        propertyName: mode
        mapping:
          KEDA:
            $ref: '#/components/schemas/KedaAutoscalingResponse'
    StorageTypeEnum:
      type: string
      enum:
        - FAST_SSD
    GitProviderEnum:
      type: string
      enum:
        - BITBUCKET
        - GITHUB
        - GITLAB
    Probe:
      type: object
      nullable: true
      properties:
        type:
          type: object
          properties:
            tcp:
              type: object
              nullable: true
              properties:
                port:
                  type: integer
                host:
                  type: string
                  default: null
                  nullable: true
            http:
              type: object
              nullable: true
              properties:
                path:
                  type: string
                  default: /
                scheme:
                  type: string
                  default: HTTP
                port:
                  type: integer
            exec:
              type: object
              nullable: true
              description: >-
                Execute a command inside the container. The probe succeeds if
                the command exits with status code 0.
              properties:
                command:
                  type: array
                  description: >-
                    Command to execute inside the container, specified as an
                    array of strings. The first element is the executable,
                    followed by its arguments. Example: ["sh", "-c", "test -f
                    /tmp/healthy"]
                  example:
                    - sh
                    - '-c'
                    - test -f /tmp/healthy
                  items:
                    type: string
                  minItems: 1
            grpc:
              type: object
              nullable: true
              properties:
                service:
                  type: string
                  default: null
                  nullable: true
                port:
                  type: integer
        initial_delay_seconds:
          type: integer
          default: 30
        period_seconds:
          type: integer
          default: 10
        timeout_seconds:
          type: integer
          default: 5
        success_threshold:
          type: integer
          default: 1
        failure_threshold:
          type: integer
          default: 9
    ServicePort:
      type: object
      required:
        - id
        - internal_port
        - publicly_accessible
        - protocol
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        internal_port:
          type: integer
          example: 8080
          description: The listening port of your service.
        external_port:
          type: integer
          example: 8080
          description: >-
            The exposed port for your service. This is optional. If not set a
            default port will be used.
        publicly_accessible:
          type: boolean
          description: Expose the port to the world
        is_default:
          type: boolean
          description: is the default port to use for domain
        protocol:
          $ref: '#/components/schemas/PortProtocolEnum'
        public_path:
          type: string
          description: >-
            Indicate the path or regex that must match for traffic to be
            accepted on your service

            i.e: /api/ will only accept http calls that start with /api/ 

            Only valid for publicly_accessible HTTP or GRPC ports.
        public_path_rewrite:
          type: string
          description: >-
            Indicate the new path that will be used to reach your service after
            replacement

            i.e: public_path -> /(.*)  public_path_rewrite -> /api/$1 will
            append /api/ on all externaly requested url when reaching the
            service 

            external/use url -> example.com/foobar  -> url seen by the service
            -> example.com/api/foobar

            Only valid for publicly_accessible HTTP or GRPC ports.
    ServiceAnnotationRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
    ServiceLabelRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
    KedaAutoscalingRequest:
      title: KedaAutoscalingRequest
      x-stoplight:
        id: 4vq8n2a7z3pen
      type: object
      required:
        - mode
        - scalers
      properties:
        mode:
          $ref: '#/components/schemas/AutoscalingMode'
        polling_interval_seconds:
          type: integer
          x-stoplight:
            id: wy5blh9au1d85
          format: int32
        cooldown_period_seconds:
          type: integer
          x-stoplight:
            id: zy5rt4bh9fyph
          format: int32
        scalers:
          type: array
          x-stoplight:
            id: 6oh134v1tqb28
          minItems: 1
          items:
            $ref: '#/components/schemas/KedaScalerRequest'
    OrganizationAnnotationsGroupResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - name
            - annotations
            - scopes
          properties:
            name:
              type: string
            annotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            scopes:
              type: array
              items:
                $ref: '#/components/schemas/OrganizationAnnotationsGroupScopeEnum'
    OrganizationLabelsGroupResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - name
            - labels
          properties:
            name:
              type: string
            labels:
              type: array
              items:
                $ref: '#/components/schemas/Label'
      title: ''
    KedaAutoscalingResponse:
      title: KedaAutoscalingResponse
      x-stoplight:
        id: dgcb902szizvv
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          x-stoplight:
            id: zjlwqohiiyuwf
          required:
            - service_id
            - mode
            - polling_interval_seconds
            - cooldown_period_seconds
            - scalers
          properties:
            service_id:
              type: string
              x-stoplight:
                id: j9bxhtiyyl0iv
              format: uuid
            mode:
              $ref: '#/components/schemas/AutoscalingMode'
            polling_interval_seconds:
              type: integer
              x-stoplight:
                id: uone6zr48amok
              format: int32
            cooldown_period_seconds:
              type: integer
              x-stoplight:
                id: j2dapmjjjiafj
              format: int32
            scalers:
              type: array
              x-stoplight:
                id: oyhxgvwg36ixz
              minItems: 1
              items:
                $ref: '#/components/schemas/KedaScalerResponse'
      description: ''
    PortProtocolEnum:
      type: string
      default: HTTP
      enum:
        - HTTP
        - GRPC
        - TCP
        - UDP
    AutoscalingMode:
      title: AutoscalingMode
      x-stoplight:
        id: vmgo27882mrl3
      type: string
      enum:
        - KEDA
    KedaScalerRequest:
      title: KedaScalerRequest
      x-stoplight:
        id: hfn4tfrtivkcs
      type: object
      required:
        - scaler_type
        - role
      properties:
        scaler_type:
          type: string
          x-stoplight:
            id: 3ba9iisjwqgsp
        enabled:
          type: boolean
          x-stoplight:
            id: 9m67trg9m0ioz
        role:
          $ref: '#/components/schemas/KedaScalerRole'
        config_json:
          type: object
          x-stoplight:
            id: si5ekni2hc6w9
        config_yaml:
          type: string
          x-stoplight:
            id: 8c7vktd7svl30
        trigger_authentication:
          $ref: '#/components/schemas/KedaTriggerAuthenticationRequest'
    Annotation:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
    OrganizationAnnotationsGroupScopeEnum:
      type: string
      description: Annotations Group Scope
      enum:
        - DEPLOYMENTS
        - STATEFUL_SETS
        - SERVICES
        - INGRESS
        - GATEWAY_API_ROUTES
        - HPA
        - PODS
        - SECRETS
        - JOBS
        - CRON_JOBS
    Label:
      type: object
      required:
        - key
        - value
        - propagate_to_cloud_provider
      properties:
        key:
          type: string
        value:
          type: string
        propagate_to_cloud_provider:
          type: boolean
    KedaScalerResponse:
      title: KedaScalerResponse
      x-stoplight:
        id: gaaqg32ivl48h
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          x-stoplight:
            id: 74tt3hgf95nfe
          required:
            - scaler_type
            - enabled
            - role
          properties:
            scaler_type:
              type: string
              x-stoplight:
                id: 1ckp76ziimkg4
            enabled:
              type: boolean
              x-stoplight:
                id: 0dnjwnlkuj3kp
            role:
              $ref: '#/components/schemas/KedaScalerRole'
            config_json:
              type: object
              nullable: true
            config_yaml:
              type: string
              nullable: true
            trigger_authentication:
              $ref: '#/components/schemas/KedaTriggerAuthenticationResponse'
    KedaScalerRole:
      title: KedaScalerRole
      x-stoplight:
        id: 1sl0mlxoqzr8w
      type: string
      enum:
        - PRIMARY
        - SAFETY
    KedaTriggerAuthenticationRequest:
      title: KedaTriggerAuthenticationRequest
      x-stoplight:
        id: wp51tmturog3b
      type: object
      required:
        - name
      properties:
        name:
          type: string
          x-stoplight:
            id: ka4ltf1usuola
        config_yaml:
          type: string
          x-stoplight:
            id: 65znz6jclbew5
          description: Optional raw KEDA TriggerAuthentication YAML configuration.
    KedaTriggerAuthenticationResponse:
      title: KedaTriggerAuthenticationResponse
      x-stoplight:
        id: 7mm4a4sk9jhz3
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          x-stoplight:
            id: ssejnexbsra11
          required:
            - organization_id
            - name
          properties:
            organization_id:
              type: string
              x-stoplight:
                id: akxa3zctvjj5h
            name:
              type: string
              x-stoplight:
                id: gpvwed95xygk1
            config_yaml:
              type: string
              x-stoplight:
                id: r5lmrzakyk9o6
              description: ' Optional raw KEDA TriggerAuthentication YAML configuration.'
  responses:
    '400':
      description: Bad request
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````